/*
This project provide access to non public fields
and methods as help for writing tests.
Copyright (C) 2007  Christof Lehmann

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package net.sf.testextensions;

/**
 * The interface <code>AccessField</code> defines the methods
 * for accessing a member.
 * @author forge-cl
 *
 */
public interface AccessField {

	/**
	 * The method <code>setValue</code> set the selected
	 * field to the given value.
	 * @param aNewValue the value, which should the selected
	 * field contains after this method call.
	 * @throws TestExtensionException if the dstValue does not
	 * suite to the field or any other exception occures.
	 */
	void setValue(final Object aNewValue) throws TestExtensionException;

	/**
	 * The method <code>getValue</code> give the value of the
	 * selected field.
	 * @return the value of the selected field.
	 * @throws TestExtensionException shows, that an error
	 * occures during field access.
	 */
	Object getValue() throws TestExtensionException;
}
